Package org.eclipse.emf.cdo.common

## Interface CDOCommonSession

- All Superinterfaces:
    `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `org.eclipse.net4j.util.security.IUserAware`
  All Known Subinterfaces:
    `CDONet4jSession`, `CDOSession`, `CDOSession`, `InternalCDOSession`, `InternalSession`, `ISession`

      public interface CDOCommonSession
      extends IAdaptable, org.eclipse.net4j.util.security.IUserAware, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.properties.IPropertiesContainer, org.eclipse.net4j.util.collection.Closeable

  Abstracts the information about CDO sessions that is common to both client and server side.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOCommonSession.Options` | Encapsulates the configuration options of CDO sessions that are common to both client and server side.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getOpeningTime()` |
    `int` | `getSessionID()` |
    `CDOCommonView` | `getView​(int viewID)` |
    `CDOCommonView[]` | `getViews()` |
    `CDOCommonSession.Options` | `options()` | Returns the `options` of this session.

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Method Detail

    - #### getSessionID

          int getSessionID()

    - #### getOpeningTime

          long getOpeningTime()

      Since:
        4.13

    - #### getViews

          CDOCommonView[] getViews()

    - #### getView

          CDOCommonView getView​(int viewID)

    - #### options

          CDOCommonSession.Options options()

      Returns the `options` of this session.
      Specified by:
        `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`